#ifndef CRCS_H_
#define CRCS_H_

#include "config.h"

#include <stddef.h>
#include <inttypes.h>

#include <avr/pgmspace.h>

uint16_t CRC16(uint8_t *data, uint16_t length);

#ifdef _LONG_ADDR_SPACE_
uint32_t CRC32(uint8_t* data, uint32_t length);
#else
uint32_t CRC32(uint8_t* data, uint16_t length);
#endif

#endif /* CRCS_H_ */